Bug 1010757 - Topic Filter should use the topic endpoint and not contentspecnode
Topic Filter should use the topic endpoint and not contentspecnode
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: DocBook-builder (Show other bugs)
1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.8
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-22 22:00 EDT by Lee Newson
Modified: 2014-07-13 17:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-13 17:10:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Newson 2013-09-22 22:00:50 EDT
The Topic Filter in the DocBuilder currently works by doing a query on the contentspecnode endpoint, however if new topic types are added then this is going to fail. It would make more sense to do a query on the topic endpoint and expand the "contentSpecs" collection. This would also allow for all the data to be pulled down in one request instead of a request per topic id.
Comment 1 Misty Stanley-Jones 2013-09-25 22:01:20 EDT
Can you rephrase this into a user story?
Comment 2 Lee Newson 2014-06-22 20:16:43 EDT
Fixed in the devel branch of DocBuilder2. The query has also been compacted down to a single query as well instead of a query per topic id.

See https://github.com/pressgang-ccms/DocBuilder2/commit/59157a25111734a88417e1b7b0eef50f8cdb5d0a
Comment 3 Matthew Casperson 2014-07-03 17:55:26 EDT
Verified that queries now used the topic endpoint and expand the content specs.

Also confirmed that new node types like info topics can be used to filter the list.

Note You need to log in before you can comment on or make changes to this bug.